#pragma once
#include <enginend/engine.h>


struct ENTITYTYPE {
	enginend::nodes::trid::node3d* node;
	bool ISBILLBOARD;
};

struct entity: enginend::nodes::node{
	ENTITYTYPE self;
	entity();
	void boot()override;
	void tick()override;
	void draw()override;
	void exit()override;
	~entity();
};
